helmCharts:
  - name: grafana
    includeCRDs: true
    releaseName: monitoring-grafana
    version: 8.5.12
    repo: https://grafana.github.io/helm-charts
    valuesInline:
      enabled: true
      namespaceOverride: monitoring
      podLabels:
        app: grafana
        sidecar.istio.io/inject: "true"
      extraLabels:
        app: grafana
      sidecar:
        datasources:
          enabled: true
      admin:
        existingSecret: monitoring-grafana
      persistence:
        enabled: true
        size: 5Gi
        storageClassName: "nvme-data1"
      datasources:
        datasources.yaml:
          apiVersion: 1
          datasources:
            - name: Mimir
              type: prometheus
              access: proxy
              orgId: 1
              url: http://mimir.monitoring:8080/prometheus
              jsonData:
                httpHeaderName1: "X-Scope-OrgID"
              secureJsonData:
                httpHeaderValue1: "anonymous"
            - name: Loki
              type: loki
              url: http://loki.monitoring:3100
              orgId: 1

namespace: monitoring

resources:
  - httproute.yaml
  - grafana-secrets.yaml
